Package org.apache.tapestry5.internal.renderers

## Class RequestRenderer

- java.lang.Object
- - org.apache.tapestry5.internal.renderers.RequestRenderer

- All Implemented Interfaces:
    `ObjectRenderer<Request>`

      public class RequestRenderer
      extends java.lang.Object
      implements ObjectRenderer<Request>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestRenderer​(ObjectRenderer masterObjectRenderer, Context context, java.lang.String contextPath, boolean productionMode, PageClassLoaderContextManager pageClassLoaderContextManager, PageSource pageSource, ComponentClassResolver componentClassResolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(Request request, MarkupWriter writer)` | Renders the object out as markup.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestRenderer

          public RequestRenderer​(@Primary
                                 ObjectRenderer masterObjectRenderer,
                                 Context context,
                                 @Symbol("tapestry.context-path")
                                 java.lang.String contextPath,
                                 @Symbol("tapestry.production-mode")
                                 boolean productionMode,
                                 PageClassLoaderContextManager pageClassLoaderContextManager,
                                 PageSource pageSource,
                                 ComponentClassResolver componentClassResolver)

  - ### Method Detail

    - #### render

          public void render​(Request request,
                             MarkupWriter writer)

      Description copied from interface: `ObjectRenderer`
      Renders the object out as markup.
      Specified by:
        `render` in interface `ObjectRenderer<Request>`
      Parameters:
        `request` - to be rendered
        `writer` - to which output should be directed